jScreen = {current = 1}
function jScreen:new(t)
	t = t or {}
	setmetatable(t, {__index=self})
	t._objects = {}
	return t
end
function jScreen:add(t)
	table.insert(self._objects, t)
end
function jScreen:draw()
	for k,t in ipairs(self._objects) do
		t:draw()
	end
end
function jScreen:keypressed(key)
	if key == love.key_tab then
		self.current = (self.current % #self._objects) + 1
	else
		self._objects[self.current]:keypressed(key)
	end
end
jObject = {}
function jObject:new(t)
	t = t or {}
	setmetatable(t, {__index=self})
	if t.screen then t.screen:add(t) end
	return t
end
function jObject:setScreen(screen)
	if self.screen then
		for k,t in ipairs(self.screen._objects) do
			if t == self then
				table.remove(self.screen._objects,k)
				break
			end
		end
	end
	screen:add(self)
	self.screen = screen
end
function jObject:action()
end
function jObject:keypressed(key)
	if key == love.key_space or key == love.key_return then
		self:action()
	end
end
jText = jObject:new()
function jText:draw()
end
function jText:keypressed(key)
	jObject.keypressed(self, key)

end
jMenu = jObject:new()
function jMenu:draw()
end
function jMenu:keypressed(key)
	jObject.keypressed(self, key)

end
jButton = jObject:new()
function jButton:draw()
end
